function V1=V(x, a,b,c)


%V1=(x-a).^2.*(x-b).^2+c*(x-0.5);

%V1=(x>-1).*(x<0).*a +(x>0).*(x<1).*b+(x>1).*(x<2).*c;
%V1(find(x<-1))=Inf;
%V1(find(x>2))=Inf;

% steep piecewise constant potential for stochastic ocntrol
%V1=(x<0).*a +(x>0).*(x<1).*b+(x>1)*c;

% smoothed version required for convergence of RL
%V1=(x<-1).*a +(x>-1).*(x<0).*((b-a)*x+b)+(x>0).*(x<1).*b+(x>1).*(x<2).*((c-b)*x-c+2*b)+(x>2).*c;

%steepness beta
beta=2;
V1=0.5*(b-a)*tanh(beta*(x+1))+0.5*(a+b)+0.5*(c-b)*tanh(beta*(x-1))+0.5*(c+b);
