function phi1=phi(x, a, PLANT)

% computes end cost of trajectory
% size(x)=(n, 1)
% a is a scaling constant

switch PLANT
case 'acrobot',
	l1=1;
	l2=2;
	phi1=-a*(l1*sin(x(1))+l2*sin(x(2)));
case 'singlewell'
	phi1=a/2*sum(x(:).^2);
end;

