figure(i)
clf
for k=1:min(n,2),
	subplot(5,2,k)
	plot(squeeze(xall(k,:,iwsort)))
	hold on
	plot(x(k,:),'k','LineWidth',2)
	ylabel('x')
	hold off
end;

subplot(5,2,3)
plot(1:N, u(1,:))
ylabel('u')

subplot(5,2,4)
plot(dt*(1:N),lall(:,i));
ylabel('l')
subplot(5,2,5)
plot(dt*(1:N),dx1all(:,i));
ylabel('rho')
subplot(5,2,6)
plot(ssall(:,i))
ylabel('system size')
subplot(5,2,9)
hist(Sall(1,:),100)
ylabel('S')
subplot(5,2,10)
hist(phiall,100)
ylabel('phi')
switch PLANT
case 'acrobot',
	subplot(5,2,7)
	plot(squeeze(sin(xall(1,:,iwsort))+2*sin(xall(2,:,iwsort))));
	hold on
	plot(sin(x(1,:))+2*sin(x(2,:)),'k','LineWidth',2)
	hold off
	ylabel('height')
	subplot(5,2,8)
	plot(x2,y2)
	hold on
	plot(x2(:,1),y2(:,1),'r','LineWidth',2)
	plot(cos(x(1,:))+2*cos(x(2,:)),sin(x(1,:))+2*sin(x(2,:)),'k','LineWidth',2)
	hold off
case 'singlewell'
	subplot(5,2,3)
	hold on
	plot(uex,'r')
	hold off
end;		
